# $Revision: 1.4.2.1 $, $Date: 2003/03/13 00:56:41 $
#
# Conditional build:
# _without_tests - do not perform "make test"
%include	/usr/lib/rpm/macros.perl
%define	pdir	Class
%define	pnam	BlackHole
Summary:	Class::BlackHole - base class to treat unhandled method calls as no-ops
Summary(pl):	Class::BlackHole - bazowa klasa do ignorowania nie obsugiwanych metod
Name:		perl-Class-BlackHole
Version:	0.03
Release:	3
License:	GPL/Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Normally, if you try to call a method that there's no handler for,
you get an error: Can't locate object method "flork" via package "X".
But for classes that inherit from Class::BlackHole, unhandled methods
become just no-operations.

%description -l pl
Normalnie prba wywoania metody, ktra nie ma przypisanego kodu,
koczy si bdem: Can't locate object method "flork" via package "X".
Ale w przypadku klas dziedziczcych z Class::BlackHole, nie
obsugiwane metody s po prostu pustymi operacjami.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL
%{__make}
%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_sitelib}/%{pdir}/*.pm
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Class-BlackHole.spec,v $
Revision 1.4.2.1  2003/03/13 00:56:41  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.4  2003/02/25 00:37:37  radek
- use the __perl macro

Revision 1.3  2003/02/18 15:27:58  ankry
- massive attack: change CPAN URLs

Revision 1.2  2002/08/14 23:36:41  qboosh
- pl description, release 2

Revision 1.1  2002/08/09 00:35:56  radek
- new, STBR
